curl --request GET \
--url https://api.snappy.com/public-api/v2/orders/addresses/autocomplete \
--header 'X-Api-Key: <api-key>'{
"results": [
{
"addressLine1": "123 Main St",
"addressLine2": "Apt 1",
"zipcode": "12345",
"city": "New York",
"state": "NY"
}
]
}Autocomplete a partial shipping address. Returns address suggestions based on the provided input to help recipients fill in their delivery details accurately.
orders:read:masked or orders:read:unmaskedcurl --request GET \
--url https://api.snappy.com/public-api/v2/orders/addresses/autocomplete \
--header 'X-Api-Key: <api-key>'{
"results": [
{
"addressLine1": "123 Main St",
"addressLine2": "Apt 1",
"zipcode": "12345",
"city": "New York",
"state": "NY"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.snappy.com/llms.txt
Use this file to discover all available pages before exploring further.
Company level authentication provides access to all resources under your company, including accounts, campaigns, gifts, and recipients.
POST /v2/authentication/apiKeys endpoint to generate a new API keyInclude your API key in the X-Api-Key header for every request:
X-Api-Key: YOUR_24_CHARACTER_API_KEYFor production environments, enable mutual TLS authentication:
enforceMtls: true when creating the API keyhttps://mtls-api.snappy.com/public-apiCompany ID
^[A-Za-z0-9]{8,}$"12345678"
Address
4 - 128"123 Main St"
Country
^[A-Za-z0-9]{2,3}$"US"
Ok
Autocomplete order address response.
The autocomplete address results.
Show child attributes
Was this page helpful?